<?php
/*---------------------------------------------------------------*/
/*
    Titre : Package de Géolocalisation par IP en PHP                                                                     
                                                                                                                          
    URL   : https://phpsources.net/code_s.php?id=1143
    Date dition     : 14 Dc 2020                                                                                        
    Date mise  jour : 14 Dc 2020
                                                                                       
    Rapport de la maj:                                                                                                    
    - fonctionnement du code vérifié                                                                                    
*/
/*---------------------------------------------------------------*/
    // require_once("geoip2.phar");
    // require 'vendor/autoload.php';
    use GeoIp2\Database\Reader;

    // City DB
    $reader = new Reader('/path/to/GeoLite2-City.mmdb');
    $record = $reader->city($_SERVER['REMOTE_ADDR']);
    // or for Country DB
    // $reader = new Reader('/path/to/GeoLite2-Country.mmdb');
    // $record = $reader->country($_SERVER['REMOTE_ADDR']);

    print($record->country->isoCode . "\n");
    print($record->country->name . "\n");
    print($record->country->names['zh-CN'] . "\n");
    print($record->mostSpecificSubdivision->name . "\n");
    print($record->mostSpecificSubdivision->isoCode . "\n");
    print($record->city->name . "\n");
    print($record->postal->code . "\n");
    print($record->location->latitude . "\n");
    print($record->location->longitude . "\n");
?>